Git Push Heroku Master – ¿Falló?

así que intenté empujar esta aplicación a heroku:

https://github.com/harrystech/prelaunchr 

estoy usando virtualbox con ubuntu.

Instalé Ruby usando esto:

 $ sudo apt-get install curl # Requinetworking $ curl -L get.rvm.io | bash -s stable # Get RVM $ source ~/.bashrc # Reboot the shell $ rvm requirements # To get the command below $ sudo apt-get install build-essential openssl libreadline6 libreadline6-dev curl git- core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion # Install Libraries $ rvm install 1.9.3 # Install ruby v1.9.3 $ rvm use 1.9.3 $ gem install rails # Install rails (I had to run this command twice. Error trying to find railties the first time.. weird) 

Sin embargo, cuando creo mi aplicación heroku y trato de empujar la aplicación, me da este error:

 http://pastebin.com/uF5PUsCM 

para la database instalé postgresql (no sé si tiene alguna relevancia)

Suponiendo que git push heroku efectivamente empuje a heroku (git remote -v lo confirmaría), los posts de error son:

  Running: rake assets:precompile DEPRECATION WARNING: You have Rails 2.3-style plugins in vendor/plugins! Support for these plugins will be removed in Rails 4.0. Move them out and bundle them in your Gemfile, or fold them in to your app as lib/myplugin/* and config/initializers/myplugin.rb. rake aborted! refer/cream-tooltip@2x.png isn't precompiled 

Puede encontrar algunas sugerencias en " Activos de Ruby on Rails Rake: error de precompilation " y en este número :

Abra config/environments/production.rb y asegúrese de que la siguiente opción esté establecida en verdadero:

 # Don't fallback to assets pipeline if a precompiled asset is missed config.assets.compile = true config.serve_static_assets = true 

Entonces corre:

 rake assets:precompile --trace RAILS_ENV=production 

Verifica también tus gems .